Lavalite package that provides love_spell management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `love/love_spell`.

    "love/love_spell": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Love\LoveSpell\Providers\LoveSpellServiceProvider::class,

And also add it to alias

    'LoveSpell'  => Love\LoveSpell\Facades\LoveSpell::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Love\\LoveSpell\\Seeders\\LoveSpellTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Love\LoveSpell\Providers\LoveSpellServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Love\LoveSpell\Providers\LoveSpellServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Love\LoveSpell\Providers\LoveSpellServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/love_spell/{modulename}

**User**

    http://path-to-route-folder/user/love_spell/{modulename}

**Public**

    http://path-to-route-folder/love_spells


### API endpoints

**List**

    http://path-to-route-folder/api/user/love_spell/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/love_spell/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/love_spell/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/love_spell/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/love_spell/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/love_spell/{modulename}/{slug}
    METHOD: GET